package org.matrix.exception;

/**
 * 当用户需要执行的 用例或者任务 正在执行中时抛出这个异常.
 *
 * @author huangxiahao
 * @since 2022/1/19 at 12:53 PM
 * Suffering is the most powerful teacher of life.
 */
public class JobOrCaseRunningException extends RuntimeException {
    public JobOrCaseRunningException(String message) {
        super(message);
    }

    public JobOrCaseRunningException(String message, Throwable cause) {
        super(message, cause);
    }

    public JobOrCaseRunningException(Throwable cause) {
        super(cause);
    }

    public JobOrCaseRunningException() {
        super();
    }
}
